/* Importamos todos los styles.css */

@import url('../css/navbar.css');
@import url('../css/footer.css');


/* Estilos para la sección 1 */
.seccion1-titulo {
    font-size: clamp(2rem, 3vw, 4rem); /* mínimo, ideal escalable, máximo */
    font-weight: 700;
    color: #BF9460;
    margin-bottom: 1.5rem;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 0.8s ease forwards 0.4s; /* Animación suave para el título */
    text-align: center;
}

.seccion1-subtitulo {
    font-size: clamp(1rem, 1.5vw, 1.5rem); /* mínimo, ideal escalable, máximo */
    font-weight: 500;
    color: #1E5949;
    margin-top: -1rem;
    margin-bottom: 0;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 0.8s ease forwards 0.6s; /* Animación suave para el subtítulo */
    text-align: center;
}

.seccion1-img {
    opacity: 0;
    width: 100%;
    max-width: 300px;
    transform: translateX(-50px);
    border: 3px solid #BF9460;
    animation: fadeInLeft 1s ease forwards 0.2s; /* Animación de izquierda a derecha para la imagen */
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    object-fit: cover;

}

.seccion1-icono {
    max-width: 160px;
    height: auto;
    margin-top: 0;
    margin-bottom: 1rem;
    opacity: 0;
    transform: translateX(-50%);
    animation: fadeInLeft 1.2s ease forwards 1s; /* Animación de entrada para el ícono de Mido mil días */
}

/* Estilo general para texto arriba de los círculos */
.seccion1-texto {
    font-size: clamp(1rem, 2vw, 2.2rem); /* mínimo, ideal escalable, máximo */
    font-weight: 500;
    color: #535353;
    text-align: center;
    margin-bottom: 4rem;
    transform: translateY(20px);
    position: relative;
    opacity: 0;
    animation: fadeInUp 1s ease forwards 0.8s; /* Animación de entrada con los círculos */
    transition: transform 0.3s ease, background-color 0.3s ease, font-size 0.3s ease;
}

/* Estilos generales para los círculos: botones Reportes y Dashboard */
.circle-text-reportes,
.circle-text-dashboard {
    border-radius: 0.75rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: clamp(8rem, 10vw, 12rem);
    height: clamp(8rem, 10vw, 12rem);
    font-size: clamp(1rem, 2vw, 2rem);
    font-weight: 500;
    color: #535353;
    border: 1.5px solid #9c9c9c;
    background: white;
    padding: 1rem 2rem;
    text-align: center;
    margin-bottom: 10px;
    position: relative;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease forwards 0.8s; /* Animación de entrada para los círculos */
    transition: transform 0.3s ease, background-color 0.3s ease, font-size 0.3s ease;
}

/* Estilos para los íconos sobre los círculos */
.icono-sobre-circulo-reportes {
    width: 30px;
    position: absolute;
    top: -40px;
    transform: translateX(-50%);
    opacity: 0;
    animation: fadeInLeft 1.2s ease forwards 1s; /* Animación de entrada para el ícono de Reportes */
}

.icono-sobre-circulo-dashboard {
    width: 30px;
    position: absolute;
    top: -40px;
    transform: translateX(-50%);
    opacity: 0;
    animation: fadeInRight 1.2s ease forwards 1.2s; /* Animación de entrada para el ícono de Dashboard */
}


/* Animaciones keyframes */
@keyframes fadeInUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInLeft {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeInRight {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Efecto Hover para los Círculos */
.circle-text-reportes:hover{
    background-color: rgba(255, 157, 5, 0.342);
    color: #c0843b;
    cursor: pointer;
    transform: scale(1.05);
    font-size: 1.5rem; /* Aumenta el tamaño de la fuente al pasar el mouse */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.circle-text-dashboard:hover {
    background-color: rgba(12, 170, 88, 0.30);
    color: #1E5949;
    cursor: pointer;
    transform: scale(1.05);
    font-size: 1.5rem; /* Aumenta el tamaño de la fuente al pasar el mouse */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

/* Termina el css de toda la sección 1 */

/* Comienza el css de la sección 2 */

/* Estilos para el texto centrado en la sección 2 */
.seccion2-texto {
    font-size: 1rem; /* Tamaño de letra */
    color: #8B6A1B; /* Color marrón similar al de la imagen */
    font-weight: 500; /* Peso de la fuente */
    line-height: 1.5; /* Altura de línea para mejorar la legibilidad */
    max-width: 1000px; /* Limita el ancho del texto para mejor lectura */
    margin: 0 auto; /* Centra el texto horizontalmente */
    opacity: 0;
    transform: translateY(30px); /* Movimiento inicial hacia abajo */
    animation: fadeInUp 1s ease forwards 1.5s; /* Animación de abajo hacia arriba */
}

/* Ajuste del espacio del main y el footer*/
html, body {
  height: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1 0 auto;
}

footer {
  flex-shrink: 0; /*Mantiene el footer al final*/
}

/* Termina el css de la sección 2 */

/* Comienza los media queries para pantallas de lo necesario */

/* Responsividad para pantallas extra pequeñas (hasta 400px) */
@media (max-width: 399px) {
    .circle-text-reportes,
    .circle-text-dashboard {
        width: 8rem;
        height: 3rem;
        font-size: 1.2rem;
    }

    .icono-sobre-circulo-reportes,
    .icono-sobre-circulo-dashboard {
        width: 50px;
        top: -40px;
    }
}

/* Responsividad para pantallas pequeñas (400px a 767px) */
@media (min-width: 400px) and (max-width: 767px) {
    .circle-text-reportes,
    .circle-text-dashboard {
        width: 8rem;
        height: 3rem;
        font-size: 1.2rem;
    }

    .icono-sobre-circulo-reportes,
    .icono-sobre-circulo-dashboard {
        width: 60px;
        top: -50px;
    }
}

/* Responsividad para pantallas medianas (768px a 1199px) */
@media (min-width: 768px) and (max-width: 1199px) {
    .circle-text-reportes,
    .circle-text-dashboard {
        width: 9rem;
        height: 4rem;
        font-size: 1.3rem;
    }

    .icono-sobre-circulo-reportes,
    .icono-sobre-circulo-dashboard {
        width: 70px;
        top: -60px;
    }
}

/* Responsividad para pantallas grandes (1200px y más) */
@media (min-width: 1200px) {
    .circle-text-reportes,
    .circle-text-dashboard {
        width: 9rem;
        height: 4rem;
        font-size: 1.3rem;
    }

    .icono-sobre-circulo-reportes,
    .icono-sobre-circulo-dashboard {
        width: 65px;
        top: -55px;
    }
}


@media (min-width: 1600px) {
  .seccion1-titulo {
    font-size: 3rem;
  }

  .seccion1-subtitulo {
    font-size: 2rem;
  }

  .seccion2-texto {
    font-size: 2.2rem;
  }

  .circle-text-reportes,
  .circle-text-dashboard {
    width: 12rem;
    height: 6rem;
    font-size: 2rem;
  }
  .icono-sobre-circulo-reportes,
  .icono-sobre-circulo-dashboard {
    width: 75px;
    top: -65px;
  }
  .seccion1-icono {
    max-width: 300px;
    height: auto;
  }
  .seccion1-img {
    max-width: 500px;
  }
}